﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics.Windows.DataPresenter;

namespace testXamComboMulti
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            ComboBoxItemsProvider c = new ComboBoxItemsProvider();
            ComboBoxDataItem cb = new ComboBoxDataItem();
            cb.Value = MyClass.CreateData();
            c.Items.Add(cb);
            xamComboEditor1.ItemsProvider = c;

        }

        private void PART_FocusSite_SelectedItemsChanging(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangingEventArgs e)
        {
            XamComboEditor x = Infragistics.Windows.Utilities.GetAncestorFromType(sender as XamDataGrid, typeof(XamComboEditor), false) as XamComboEditor;
            SelectedRecordCollection c =  e.NewSelection.Records;
            if (c == null || c.Count == 0)
                return;

            x.Value=(c[0] as DataRecord).Cells[0].Value.ToString();
            x.EndEditMode(true,true);
        }
    }
    public class MyClass
    {
        public string Name { get; set; }
        public int Age { get; set; }
        public string Description { get; set; }
        public MyClass() 
        {
            this.Name = "new Name";
            this.Age = 0;
            this.Description = "N/A";
        }
        public static List<MyClass> CreateData()
        {
            List<MyClass> data = new List<MyClass>();
            for (int i = 0; i < 5; i++)
            {
                data.Add(new MyClass() { Age = i, Name = "Name " + i.ToString() });
            }


            return data;
        }
    }
}
